Bug 1433707 - mycli-1.10.0 is available
Summary: mycli-1.10.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mycli
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: python-pycryptodome 1442489 1552033
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-19 12:18 UTC by Upstream Release Monitoring
Modified: 2018-03-18 04:16 UTC (History)
3 users (show)

Fixed In Version: mycli-1.10.0-2.fc24 mycli-1.10.0-2.fc25 mycli-1.10.0-2.fc26
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-30 21:27:16 UTC


Attachments (Terms of Use)
[patch] Update to 1.9.0 (#1433707) (1.14 KB, patch)
2017-03-19 12:18 UTC, Upstream Release Monitoring
no flags Details | Diff
0001-require-pycrypto-instead-of-pycryptodome.patch (2.43 KB, patch)
2017-04-18 18:12 UTC, Dick Marinus
no flags Details | Diff
0001-require-pycrypto-instead-of-pycryptodome.patch (552 bytes, patch)
2017-04-18 18:14 UTC, Dick Marinus
no flags Details | Diff
[patch] Update to 1.10.0 (#1433707) (1.15 KB, patch)
2017-04-19 12:19 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2017-03-19 12:18:03 UTC
Latest upstream release: 1.9.0
Current version/release in rawhide: 1.8.1-4.fc26
URL: http://mycli.net/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/8755/

Comment 1 Upstream Release Monitoring 2017-03-19 12:18:10 UTC
Created attachment 1264609 [details]
[patch] Update to 1.9.0 (#1433707)

Comment 2 Upstream Release Monitoring 2017-03-19 12:20:29 UTC
hotness's scratch build of mycli-1.9.0-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=18470475

Comment 3 Dick Marinus 2017-04-17 19:10:48 UTC
Correct my if I'm wrong but pycryptodome is an (almost) native python replacement for pycrypto and the API is mostly compatible.

mycli requires pycryptodome because pycrypto is hard to install on some systems but I think it's compatible with pycrypto.

Comment 4 Terje Røsten 2017-04-18 17:29:52 UTC
Might be true, however req. are explicit: 

 https://github.com/dbcli/mycli/blob/master/setup.py#L21

a patch will be required.

Comment 5 Dick Marinus 2017-04-18 18:12:35 UTC
Created attachment 1272399 [details]
0001-require-pycrypto-instead-of-pycryptodome.patch

true, would you accept this patch?

Comment 6 Dick Marinus 2017-04-18 18:14:34 UTC
Created attachment 1272400 [details]
0001-require-pycrypto-instead-of-pycryptodome.patch

Comment 7 Upstream Release Monitoring 2017-04-19 12:19:38 UTC
Latest upstream release: 1.10.0
Current version/release in rawhide: 1.8.1-4.fc26
URL: http://mycli.net/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/8755/

Comment 8 Upstream Release Monitoring 2017-04-19 12:19:45 UTC
Created attachment 1272592 [details]
[patch] Update to 1.10.0 (#1433707)

Comment 9 Upstream Release Monitoring 2017-04-19 12:21:12 UTC
hotness's scratch build of mycli-1.10.0-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=19078578

Comment 10 Dick Marinus 2017-04-21 05:41:38 UTC
I've created a PR to get your "mv authors" patch applied upstream:
https://github.com/dbcli/mycli/pull/410

https://github.com/dbcli/mycli/pull/410/commits/13938936ee3e2a97cb89c76e987249b58157ebb7

Terje Røsten, please note: I've added you as the author of this patch.

Comment 11 Terje Røsten 2017-04-21 05:57:57 UTC
Thanks!

Comment 12 Dick Marinus 2017-04-23 05:57:33 UTC
I've gone ahead and built RPMs for mycli-1.10.0 on COPR:
https://copr.fedorainfracloud.org/coprs/meeuw/mycli-1.10.0/

You can find my patches on github:
https://github.com/meeuw/fedora-mycli/commits/1.10.0
https://github.com/meeuw/fedora-python-prompt_toolkit/commits/master

My PR is accepted upstream for your "mv authors" patch!

Comment 13 Fedora Update System 2017-05-18 17:05:45 UTC
mycli-1.10.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e64f612698

Comment 14 Fedora Update System 2017-05-18 17:05:54 UTC
mycli-1.10.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c106f3ff7c

Comment 15 Fedora Update System 2017-05-18 17:06:00 UTC
mycli-1.10.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c7d4b8609d

Comment 16 Dick Marinus 2017-05-19 08:48:26 UTC
Thanks! Please update python3-sqlparse or apply this patch:
https://github.com/dbcli/mycli/commit/02629c910f6af7e7bc02660287ae8d831fe0d22c

mycli-1.10.0-1.fc25 gives an error:

$ mycli
Version: 1.10.0
Chat: https://gitter.im/dbcli/mycli
Mail: https://groups.google.com/forum/#!forum/mycli-users
Home: http://mycli.net
Thanks to the contributor - jweiland.net
mysql root@172.17.0.2:(none)> select 1 as

Exception in thread Thread-11:
Traceback (most recent call last):                         
  File "/usr/lib64/python3.5/threading.py", line 914, in _bootstrap_inner
    self.run()                                             
  File "/usr/lib64/python3.5/threading.py", line 862, in run
    self._target(*self._args, **self._kwargs)              
  File "/usr/lib/python3.5/site-packages/prompt_toolkit/interface.py", line 860, in run
    completions = list(buffer.completer.get_completions(document, complete_event))
  File "/usr/lib/python3.5/site-packages/mycli/sqlcompleter.py", line 243, in get_completions                                                
    suggestions = suggest_type(document.text, document.text_before_cursor)
  File "/usr/lib/python3.5/site-packages/mycli/packages/completion_engine.py", line 47, in suggest_type
    p = sqlparse.parse(word_before_cursor)[0]
  File "/usr/lib/python3.5/site-packages/sqlparse/__init__.py", line 31, in parse
    return tuple(parsestream(sql, encoding))
  File "/usr/lib/python3.5/site-packages/sqlparse/engine/filter_stack.py", line 36, in run
    stmt = grouping.group(stmt)
  File "/usr/lib/python3.5/site-packages/sqlparse/engine/grouping.py", line 357, in group
    func(stmt)
  File "/usr/lib/python3.5/site-packages/sqlparse/engine/grouping.py", line 129, in group_as
    _group(tlist, sql.Identifier, match, valid_prev, valid_next, post)
  File "/usr/lib/python3.5/site-packages/sqlparse/engine/grouping.py", line 383, in _group
    if valid_prev(prev_) and valid_next(next_):
  File "/usr/lib/python3.5/site-packages/sqlparse/engine/grouping.py", line 120, in valid_prev
    return token.normalized == 'NULL' or not token.is_keyword
AttributeError: 'NoneType' object has no attribute 'normalized'

Comment 17 Fedora Update System 2017-05-19 21:10:28 UTC
mycli-1.10.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e64f612698

Comment 18 Fedora Update System 2017-05-20 01:06:05 UTC
mycli-1.10.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c106f3ff7c

Comment 19 Fedora Update System 2017-05-20 03:01:50 UTC
mycli-1.10.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c7d4b8609d

Comment 20 Terje Røsten 2017-05-20 10:45:27 UTC
Hi Dick!

Now I am confused, Fedora has sqlparse 0.2.2, mycli setup.py in both 
1.10.0 and current master have 'sqlparse>=0.2.2,<0.3.0'.

Your patch above don't apply clean on 1.10.0.

Comment 21 Upstream Release Monitoring 2017-05-20 11:08:32 UTC
terjeros's mycli-1.10.0-2.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=895351

Comment 22 Fedora Update System 2017-05-20 11:23:58 UTC
mycli-1.10.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-332878f1bd

Comment 23 Fedora Update System 2017-05-20 11:24:08 UTC
mycli-1.10.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cb6ad82538

Comment 24 Fedora Update System 2017-05-20 11:24:14 UTC
mycli-1.10.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-58fac24d95

Comment 25 Dick Marinus 2017-05-20 13:11:26 UTC
Hi Terje, I'm sorry about the confusion, thanks for applying the patch.

I think you can remove 71f503af.patch (not used anymore in the spec file)

Comment 26 Fedora Update System 2017-05-21 23:32:39 UTC
mycli-1.10.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-58fac24d95

Comment 27 Fedora Update System 2017-05-22 09:25:42 UTC
mycli-1.10.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-332878f1bd

Comment 28 Fedora Update System 2017-05-22 09:28:33 UTC
mycli-1.10.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cb6ad82538

Comment 29 Fedora Update System 2017-05-30 21:27:16 UTC
mycli-1.10.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2017-05-31 09:03:09 UTC
mycli-1.10.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 31 Fedora Update System 2017-06-09 19:04:36 UTC
mycli-1.10.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.